This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 152281 - Resolving using in-addr.arpa doesn't work at host
Resolving using in-addr.arpa doesn't work at host
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: bind (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Vas Dias
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-03-27 05:38 EST by Robert Scheck
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-03-28 09:24:32 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Robert Scheck 2005-03-27 05:38:51 EST
Description of problem:
Resolving using in-addr.arpa doesn't work at host:

> host www.redhat.com
www.redhat.com has address 209.132.177.50
>

> host 209.132.177.50
50.177.132.209.in-addr.arpa domain name pointer www.redhat.com.
>

> host 50.177.132.209.in-addr.arpa
>

This also applies to ip6.arpa and ip6.int.

Version-Release number of selected component (if applicable):
bind-9.3.1-1_FC4
glibc-2.3.4-16
glibc-2.3.4-18

How reproducible:
Everytime, see above. Even reproducible, if bind is rebuilt against -16 or -18. 
Older Rawhide glibcs, I didn't check.

Actual results:
Resolving using in-addr.arpa doesn't work at host.

Expected results:
> host 50.177.132.209.in-addr.arpa
50.177.132.209.in-addr.arpa domain name pointer www.redhat.com.
>

Additional info:
I'm not sure, maybe this problem should be re-assigned to glibc.
Comment 1 Jason Vas Dias 2005-03-28 09:24:32 EST
The host command is perhaps not doing what you expect - the command:
 
$ host 50.177.132.209.in-addr.arpa

Will be looking up an "A" (address) record for 50.177.132.209.in-addr.arpa, and
will also be using the search path in /etc/resolv.conf, so if your resolv.conf
contains the line:
  'search my.domain.com'
host will be generating the queries
   50.177.132.209.in-addr.arpa.my.domain.com. A ?
   50.177.132.209.in-addr.arpa. A ?

Giving host the IP address instead of the in-addr.arpa name makes it perform 
a PTR query for the in-addr.arpa name for the address, which is probably what
you want:
   $ host  209.132.177.50
   50.177.132.209.in-addr.arpa domain name pointer www.redhat.com.

You could also use the -t option:
    $ host -t PTR 50.177.132.209.in-addr.arpa.
    50.177.132.209.in-addr.arpa domain name pointer www.redhat.com.

Or:
    $ dig 50.177.132.209.in-addr.arpa.
Or: $ dig -x 209.132.177.50


    

Note You need to log in before you can comment on or make changes to this bug.